chng(22)
chng(28)
dob(3,1)
dob(24,1)
if(document.fdav2form.elements[0].value =="") document.fdav2form.CHK.disabled=true
stt=document.fdav2form.elements[45].value
function chng(x) {
if(x==0) valact()
if (x==17) document.fdav2form.elements[x+1].value=document.fdav2form.elements[x].value
if (x==18) document.fdav2form.elements[x-1].value=document.fdav2form.elements[x].value
if (x==22)
	{
		miobj0=document.fdav2form.elements[x]
		for (i=x+1;i<x+8;i++) if (i!=x+5)
		{
			miobj1=document.fdav2form.elements[i]
			if(miobj0.value==1 || miobj0.value==4) miobj1.hidden=false
			else miobj1.hidden=true
		}
		hidsh(28,"SI")
	}
if(x==3||x==24)
{
	r=valdat(x)
	 if(r==0) dob(x,1)
}
if(x==28) { hidsh(x,"SI") }
if(x==45) if((document.fdav2form.elements[0].value)/1 !=0)
{
insert(0)
document.fdav2form.elements[249].value=stt
document.fdav2form.elements[251].value=document.fdav2form.elements[x+1].value
document.fdav2form.elements[253].value=document.fdav2form.elements[x+2].value
document.fdav2form.elements[x+1].value=atoday("")
document.fdav2form.elements[x+2].value="00"
stt= document.fdav2form.elements[x].value
}
}
function valdat(x)
{
	
	if(document.fdav2form.elements[0].value!="")
	{
	di=0
	xx=document.fdav2form.elements[x]
	dat=xx.value
	n=dat.indexOf("/")
	if(n > -1 ) dt=dat.split("/")
	else
	{
		n=dat.indexOf("-")
		if(n > -1 ) dt=dat.split("-")
		else
		{
			n=dat.indexOf(" ")
			if(n > -1 ) dt=dat.split(" ")
		}
	}
	if (dt.length !=3) di=1
	//alert (dt[0] + "." + dt[1] + "." +dt[2])
	yea=dt[2]/1
	if (yea >100 && yea <1900) di=2
	if (yea >25 && yea/1 <100) yea = yea/1 + 1900/1
	else if (yea<26 ) yea= yea/1 + 2000/1
	mo=dt[0]
	if(mo < 1 || mo >12) di=3
	else
	{	
		if((mo==1 || mo==3 || mo==5|| mo==7 || mo==8 || mo==10|| mo==12)&& dt[1]/1 >31) di=4
		if((mo==4 || mo==6 || mo==9|| mo==11)&& dt[1] >30) di=4
		if (mo==2 ) if (yea%4)
				{ if(dt[1]/1 >28 )  di=4 }
				else if(dt[1]/1 >29) di=4
		if (dt[1] <0) di=4
	}
	if(di==1) alert("Fecha: Mal Formato")
	if(di==2) alert("Fecha: Indique Aņo Correcto")
	if(di==3) alert("Fecha: Indique Mes Correcto")
	if(di==4) alert("Fecha: Indique Dia Correcto")
	if (di==0)
	{
		if(dt[0]<10) dt[0]="0"+(dt[0]/1)
		if(dt[1]<10) dt[1]="0"+(dt[1]/1)
		xx.value=dt[0]+"/"+dt[1]+"/"+yea
	}
	else
	{
		setTimeout("document.fdav2form.elements[x].focus()",50)
		document.fdav2form.elements[x].select()
	}
	return(di)
	}
}
function chkin2(xx)
{
par="../cgi-bin/asist.cgi?" + document.fdav2form.elements[0].value + ":" + document.fdav2form.elements[16].value + ":" + document.fdav2form.elements[17].value + ":" +  "M" + ":" + atodayt("") 
var obj_calwindow = window.open(par,"","width=1,height=1,top=600,left=550,titlebar=no,resizable=no,mimimizable=no,dialog=no")
xx.disabled=true
alert("CHK-IN:"+ document.fdav2form.elements[1].value + " " + document.fdav2form.elements[2].value + "\n" +  atodayt("") )
}
function dob(x,y)
{
        if((document.fdav2form.elements[0].value)/1!=0)
        {
                if(document.fdav2form.elements[x].value!="")
                {
                        var bd=document.fdav2form.elements[x].value
                        var td=atoday("")
                        tod=td.split("/")
                        bod=bd.split("/")
			if(bod.length <2) bod=bd.split("-")
			if (bod[2]<100) bod[2] =bod[2]/1 + 1900/1
                        a=tod[2]- bod[2]
                        m=tod[0]- bod[0]
                        d=tod[1]- bod[1]
                        if (d<0) m -=1
                        if (m<0)
                        {
                                 m +=12
                                a--
                        }
                        document.fdav2form.elements[x+1].value=a + "a" + m + "m"
                }
        }
}

function hidsh(x,st) {
        miobj0=document.fdav2form.elements[x]
        miobj1=document.fdav2form.elements[x+1]
        if(miobj0.value==st) miobj1.hidden=false
        else miobj1.hidden=true
}

//function exswap()
//{
	//return
//}
function cons(xx) { botonpres=xx.value }
function closeform()
{
        swapin()
        fld=0
        if(botonpres=="Consultar")
        {
                for(i=0;i<nhd+ncd;i++) if( document.fdav2form.elements[i].value!="") fld=1
                if(fld==0) document.fdav2form.elements[0].value=""
                return true
        }
	if(botonpres=="Actualizar")
        {
                var ilist = document.images;
                for(var i = 0; i < ilist.length; i++) if (ilist[i].name!="")
                {
                        for (j=0; j< document.fdav2form.length; j++)
                        if(document.fdav2form.elements[j].name==ilist[i].name)
                        {
                                if(document.fdav2form.FOTO.value!="")
                                document.fdav2form.elements[j].value="NEWFOTO>>>"
                        }
                }
        }

	return true
}
function insert(rrow)
{
row=nhd+nrd*ncd+rrow*(ncd+1)
rw=(document.fdav2form.elements[row].value)-1
if(document.fdav2form.elements[row+1].value !="")
if(document.fdav2form.elements[nhd+(nrd-1)*ncd].value=="")
{
	swapin()
	for(i=nrd-1;i>rw;i--) for (j=0;j<ncd;j++)
	document.fdav2form.elements[nhd+i*ncd+j].value=document.fdav2form.elements[nhd+i*ncd+j-ncd].value
	for (j=0;j<ncd;j++) document.fdav2form.elements[nhd+i*ncd+j].value=""
	swapout()
}
else alert ("NO PERMITE NUEVA INSERCION")
else
{
	swapin()
	for(i=rw; i<nrd-1;i++) for (j=0;j<ncd;j++)
	document.fdav2form.elements[nhd+i*ncd+j].value=document.fdav2form.elements[nhd+i*ncd+j+ncd].value
	for (j=0;j<ncd;j++)
	document.fdav2form.elements[nhd+i*ncd+j].value=""
	swapout()
}
}
function clearform()
{
lreg=nhd+nrd*ncd+lin*(ncd+1)
for (i=0;i<lreg;i++)
{
	document.fdav2form.elements[i].value=""
	if(document.fdav2form.elements[i].type=="checkbox")
		document.fdav2form.elements[i].checked=false
}
document.fdav2form.elements[i++].disabled=false
document.fdav2form.elements[i++].disabled=true
document.fdav2form.elements[0].readOnly=false
tp=0
for (j=i;j< document.fdav2form.elements.length;j++)
if(document.fdav2form.elements[j].type=="text") document.fdav2form.elements[j].value=""
swapout()
}
